---
updatedAt: 2025-10-08T22:06:52.000Z
agentTools:
  projectIndex: https://docs.quable.com/llms.txt
---

# Create a new User

Creates a User resource.

# OpenAPI definition

```json
{
  "openapi": "3.0.3",
  "info": {
    "title": "Quable PIM API documentation v5",
    "description": "# Pagination, Filtering, and Sorting\nMany times, a large number of results could be returned when making API calls. For that reason, one need to paginate the results, alongside allowing filtering and/or sorting in specific order, to make sure responses are easier to handle.\n## Pagination\nWhen available, pagination can be implemented using one or both of two query parameters:\n* limit to define the number of items returned in the response, and<br />\n* page to specify the *sequence* or *range* of the items list<br /><br />\nQuable API has a default limit of 100 for results (except on /assets, /documents, /classifications, /links and /variants endpoints), and start at page 1, but it is advised to always explicitly set at least the limit parameter.\n## Filtering\nMost API endpoints do allow basic filtering on several of their properties (one filter for one property).<br /> Possibility to filter on multiple values by using square brackets on those qualified.<br /> Example : /api/endpoint?id[]=value1&documentType.id[]=value2<br /><br />\nSome of them have a generic ‘**search**‘ filter available which allow a cross-properties filtering. Those properties may change over time, without warnings, when needed.<br /><br /> Filters should always be used as **query parameters**.<br /><br />\nSome of them accept a ‘**X-Quable-Locale**‘ header in order to specify the Locale on which filters must be applied.\n## Sorting\nSorting is determined through the use of the ‘**order**’ query string parameter.<br /> It use the square brackets to specify the property on which the sort must apply, and the supported sort directions, either ‘**asc**’ for ascending or ‘**desc**’ for descending, as value.<br /> Example : /api/endpoint?order[id]=asc<br /><br />\nBy default, the sort on translated properties like ‘name‘ is make on the **default language** of the PIM.<br /> This behavior can be overridden by passing the chosen - and available - **language** in the ‘**Accept-Language**‘ header parameter of the query.",
    "version": "2d049f10adc518320a4a4ebeb07b64db5b919923"
  },
  "servers": [
    {
      "url": "https://{instance_name}.quable.com/api",
      "description": ""
    }
  ],
  "paths": {
    "/users": {
      "post": {
        "operationId": "postUserCollection",
        "tags": [
          "User & Permission"
        ],
        "responses": {
          "201": {
            "description": "User resource created",
            "content": {
              "application/ld+json": {
                "schema": {
                  "$ref": "#/components/schemas/User.UserOutput.jsonld-user.output"
                }
              },
              "application/hal+json": {
                "schema": {
                  "$ref": "#/components/schemas/User.UserOutput-user.output"
                }
              },
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/User.UserOutput-user.output"
                }
              },
              "text/html": {
                "schema": {
                  "$ref": "#/components/schemas/User.UserOutput-user.output"
                }
              }
            },
            "links": {
              "GetUserItem": {
                "operationId": "getUserItem",
                "parameters": {
                  "id": "$response.body#/id"
                },
                "description": "The `id` value returned in the response can be used as the `id` parameter in `GET /users/{id}`."
              }
            }
          },
          "400": {
            "description": "Invalid input"
          },
          "422": {
            "description": "Unprocessable entity"
          }
        },
        "summary": "Create a new User",
        "description": "Creates a User resource.",
        "parameters": [],
        "requestBody": {
          "description": "The new User resource",
          "content": {
            "application/ld+json": {
              "schema": {
                "$ref": "#/components/schemas/User.UserInput.jsonld-user.input.create"
              }
            },
            "application/hal+json": {
              "schema": {
                "$ref": "#/components/schemas/User.UserInput-user.input.create"
              }
            },
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/User.UserInput-user.input.create"
              }
            },
            "text/html": {
              "schema": {
                "$ref": "#/components/schemas/User.UserInput-user.input.create"
              }
            }
          },
          "required": true
        },
        "deprecated": false
      },
      "parameters": []
    }
  },
  "components": {
    "schemas": {
      "Language": {
        "type": "string",
        "description": "Any language",
        "enum": [
          "fr-FR",
          "de-DE",
          "en-US",
          "es-ES",
          "it-IT",
          "nl-NL",
          "pl-PL",
          "ro-RO",
          "ru-RU",
          "zh-CN",
          "ja-JP"
        ]
      },
      "Locale": {
        "type": "string",
        "description": "Any locale",
        "example": "fr_FR|en_US|..."
      },
      "User.UserInput-user.input.create": {
        "type": "object",
        "properties": {
          "username": {
            "type": "string"
          },
          "active": {
            "type": "boolean"
          },
          "admin": {
            "type": "boolean"
          },
          "firstName": {
            "type": "string",
            "nullable": true
          },
          "lastName": {
            "type": "string",
            "nullable": true
          },
          "email": {
            "type": "string"
          },
          "timezone": {
            "type": "string"
          },
          "isAutomaticTimezone": {
            "type": "boolean",
            "nullable": true
          },
          "decimalFormat": {
            "default": "comma",
            "example": "comma",
            "type": "string"
          },
          "job": {
            "type": "string",
            "nullable": true
          },
          "manager": {
            "type": "string",
            "nullable": true
          },
          "localesAvailable": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Locale"
            },
            "description": "List of i18n locales for the application data"
          },
          "localeDefault": {
            "$ref": "#/components/schemas/Locale",
            "type": "string"
          },
          "localeI18nDefault": {
            "$ref": "#/components/schemas/Language",
            "type": "string",
            "nullable": true
          },
          "permissionFeatures": {
            "type": "array",
            "example": [
              "contributor",
              "validator",
              "..."
            ],
            "items": {
              "type": "string",
              "description": "Permission Feature code"
            }
          },
          "permissionField": {
            "type": "string",
            "example": "seo_enrichment",
            "nullable": true
          },
          "permissionCatalog": {
            "type": "string",
            "example": "brand_quable",
            "nullable": true
          },
          "dateDeactivation": {
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "password": {
            "type": "string"
          },
          "type": {
            "type": "string",
            "example": "api|user",
            "nullable": true
          }
        }
      },
      "User.UserInput.jsonld-user.input.create": {
        "type": "object",
        "properties": {
          "@context": {
            "readOnly": true,
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "object",
                "properties": {
                  "@vocab": {
                    "type": "string"
                  },
                  "hydra": {
                    "type": "string",
                    "enum": [
                      "http://www.w3.org/ns/hydra/core#"
                    ]
                  }
                },
                "required": [
                  "@vocab",
                  "hydra"
                ],
                "additionalProperties": true
              }
            ]
          },
          "@id": {
            "readOnly": true,
            "type": "string"
          },
          "@type": {
            "readOnly": true,
            "type": "string"
          },
          "username": {
            "type": "string"
          },
          "active": {
            "type": "boolean"
          },
          "admin": {
            "type": "boolean"
          },
          "firstName": {
            "type": "string",
            "nullable": true
          },
          "lastName": {
            "type": "string",
            "nullable": true
          },
          "email": {
            "type": "string"
          },
          "timezone": {
            "type": "string"
          },
          "isAutomaticTimezone": {
            "type": "boolean",
            "nullable": true
          },
          "decimalFormat": {
            "default": "comma",
            "example": "comma",
            "type": "string"
          },
          "job": {
            "type": "string",
            "nullable": true
          },
          "manager": {
            "type": "string",
            "nullable": true
          },
          "localesAvailable": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Locale"
            },
            "description": "List of i18n locales for the application data"
          },
          "localeDefault": {
            "$ref": "#/components/schemas/Locale",
            "type": "string"
          },
          "localeI18nDefault": {
            "$ref": "#/components/schemas/Language",
            "type": "string",
            "nullable": true
          },
          "permissionFeatures": {
            "type": "array",
            "example": [
              "contributor",
              "validator",
              "..."
            ],
            "items": {
              "type": "string",
              "description": "Permission Feature code"
            }
          },
          "permissionField": {
            "type": "string",
            "example": "seo_enrichment",
            "nullable": true
          },
          "permissionCatalog": {
            "type": "string",
            "example": "brand_quable",
            "nullable": true
          },
          "dateDeactivation": {
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "password": {
            "type": "string"
          },
          "type": {
            "type": "string",
            "example": "api|user",
            "nullable": true
          }
        }
      },
      "User.UserOutput-user.output": {
        "type": "object",
        "properties": {
          "id": {
            "readOnly": true,
            "type": "integer"
          },
          "username": {
            "readOnly": true,
            "type": "string"
          },
          "active": {
            "readOnly": true,
            "type": "boolean"
          },
          "admin": {
            "readOnly": true,
            "type": "boolean"
          },
          "firstName": {
            "readOnly": true,
            "type": "string",
            "nullable": true
          },
          "lastName": {
            "readOnly": true,
            "type": "string",
            "nullable": true
          },
          "email": {
            "readOnly": true,
            "type": "string"
          },
          "timezone": {
            "readOnly": true,
            "type": "string"
          },
          "isAutomaticTimezone": {
            "readOnly": true,
            "type": "boolean"
          },
          "job": {
            "readOnly": true,
            "type": "string",
            "nullable": true
          },
          "manager": {
            "readOnly": true,
            "type": "string",
            "nullable": true
          },
          "profilePicture": {
            "readOnly": true,
            "type": "string",
            "nullable": true
          },
          "localesAvailable": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Locale"
            },
            "readOnly": true,
            "description": "List of i18n locales for the application data"
          },
          "localeDefault": {
            "$ref": "#/components/schemas/Locale",
            "readOnly": true,
            "type": "string",
            "nullable": true
          },
          "localeI18nDefault": {
            "$ref": "#/components/schemas/Language",
            "readOnly": true,
            "type": "string",
            "nullable": true
          },
          "permissionFeatures": {
            "type": "array",
            "example": [
              "contributor",
              "validator",
              "..."
            ],
            "items": {
              "type": "string",
              "description": "Permission Feature code"
            },
            "readOnly": true
          },
          "permissionField": {
            "type": "string",
            "example": "seo_enrichment",
            "readOnly": true,
            "nullable": true
          },
          "permissionCatalog": {
            "type": "string",
            "example": "brand_quable",
            "readOnly": true,
            "nullable": true
          },
          "dateDeactivation": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "dateLogged": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "dateCreated": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "dateModified": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "decimalFormat": {
            "readOnly": true,
            "type": "string"
          },
          "type": {
            "type": "string",
            "example": "api|user",
            "readOnly": true
          }
        }
      },
      "User.UserOutput.jsonld-user.output": {
        "type": "object",
        "properties": {
          "@context": {
            "readOnly": true,
            "oneOf": [
              {
                "type": "string"
              },
              {
                "type": "object",
                "properties": {
                  "@vocab": {
                    "type": "string"
                  },
                  "hydra": {
                    "type": "string",
                    "enum": [
                      "http://www.w3.org/ns/hydra/core#"
                    ]
                  }
                },
                "required": [
                  "@vocab",
                  "hydra"
                ],
                "additionalProperties": true
              }
            ]
          },
          "@id": {
            "readOnly": true,
            "type": "string"
          },
          "@type": {
            "readOnly": true,
            "type": "string"
          },
          "id": {
            "readOnly": true,
            "type": "integer"
          },
          "username": {
            "readOnly": true,
            "type": "string"
          },
          "active": {
            "readOnly": true,
            "type": "boolean"
          },
          "admin": {
            "readOnly": true,
            "type": "boolean"
          },
          "firstName": {
            "readOnly": true,
            "type": "string",
            "nullable": true
          },
          "lastName": {
            "readOnly": true,
            "type": "string",
            "nullable": true
          },
          "email": {
            "readOnly": true,
            "type": "string"
          },
          "timezone": {
            "readOnly": true,
            "type": "string"
          },
          "isAutomaticTimezone": {
            "readOnly": true,
            "type": "boolean"
          },
          "job": {
            "readOnly": true,
            "type": "string",
            "nullable": true
          },
          "manager": {
            "readOnly": true,
            "type": "string",
            "nullable": true
          },
          "profilePicture": {
            "readOnly": true,
            "type": "string",
            "nullable": true
          },
          "localesAvailable": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Locale"
            },
            "readOnly": true,
            "description": "List of i18n locales for the application data"
          },
          "localeDefault": {
            "$ref": "#/components/schemas/Locale",
            "readOnly": true,
            "type": "string",
            "nullable": true
          },
          "localeI18nDefault": {
            "$ref": "#/components/schemas/Language",
            "readOnly": true,
            "type": "string",
            "nullable": true
          },
          "permissionFeatures": {
            "type": "array",
            "example": [
              "contributor",
              "validator",
              "..."
            ],
            "items": {
              "type": "string",
              "description": "Permission Feature code"
            },
            "readOnly": true
          },
          "permissionField": {
            "type": "string",
            "example": "seo_enrichment",
            "readOnly": true,
            "nullable": true
          },
          "permissionCatalog": {
            "type": "string",
            "example": "brand_quable",
            "readOnly": true,
            "nullable": true
          },
          "dateDeactivation": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "dateLogged": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "dateCreated": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "dateModified": {
            "readOnly": true,
            "description": "This is an ISO datetime",
            "type": "string",
            "format": "date-time",
            "nullable": true
          },
          "decimalFormat": {
            "readOnly": true,
            "type": "string"
          },
          "type": {
            "type": "string",
            "example": "api|user",
            "readOnly": true
          }
        }
      }
    },
    "securitySchemes": {
      "apiKey": {
        "type": "apiKey",
        "description": "Value for the Authorization header parameter.",
        "name": "Authorization",
        "in": "header"
      }
    }
  },
  "security": [
    {
      "apiKey": []
    }
  ],
  "x-readme": {}
}
```